View Issue Details

IDProjectCategoryView StatusLast Update
0012127LazarusIDEpublic2013-09-03 12:07
ReporterAttila Borka Assigned ToVincent Snijders  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN) 
Fixed in Version0.9.27 (SVN) 
Summary0012127: Object inspector should show hints for propertie values too long
DescriptionWhen we move our mouse on a property value, the object inspector should show a hint with the value.

It would help a lot for long values. Sometimes captions and hints can be quite long and to see/correct them in a 50 pixel edit box is not too convenient.

It could even show the hint for all values, no need to check if the value is long.
TagsNo tags attached.
Fixed in Revision17152
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

Stephano

2008-09-13 12:47

developer   ~0022186

Is "Show hints in Object Inspector" in Environment Options/Object Inspector checked?

Attila Borka

2008-09-13 20:39

reporter   ~0022199

I did not realize there is an option for this. Sorry about reporting it when it is already implemented.

Any chance this will be turned on by default when someone installs Lazarus?

Vincent Snijders

2008-10-29 15:17

manager   ~0023011

Now defaults to true.

Issue History

Date Modified Username Field Change
2008-09-11 19:51 Attila Borka New Issue
2008-09-11 19:51 Attila Borka Widgetset => Win32
2008-09-13 11:27 Vincent Snijders LazTarget => post 1.2
2008-09-13 11:27 Vincent Snijders Status new => acknowledged
2008-09-13 12:47 Stephano Note Added: 0022186
2008-09-13 14:00 Vincent Snijders Status acknowledged => feedback
2008-09-13 20:39 Attila Borka Note Added: 0022199
2008-10-08 22:21 Vincent Snijders Status feedback => assigned
2008-10-08 22:21 Vincent Snijders Assigned To => Vincent Snijders
2008-10-29 15:17 Vincent Snijders Fixed in Revision => 17152
2008-10-29 15:17 Vincent Snijders Status assigned => resolved
2008-10-29 15:17 Vincent Snijders Fixed in Version => 0.9.27 (SVN)
2008-10-29 15:17 Vincent Snijders Resolution open => fixed
2008-10-29 15:17 Vincent Snijders Note Added: 0023011
2009-06-13 12:08 Marc Weustink Status resolved => closed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4